%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           yyjson
Version:        0.11.1
Release:        %mkrel 1
Summary:        A high performance JSON library written in ANSI C
License:        MIT
Group:          System/Libraries
URL:            https://github.com/ibireme/yyjson
Source0:        https://github.com/ibireme/yyjson/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake

%description
A high performance JSON library written in ANSI C.

Features
- Fast: can read or write gigabytes per second JSON data on modern CPUs.
- Portable: complies with ANSI C (C89) for cross-platform compatibility.
- Strict: complies with RFC 8259 JSON standard, ensuring strict number format
and UTF-8 validation.
- Extendable: offers options to allow comments, trailing commas, NaN/Inf, and
custom memory allocator.
- Accuracy: can accurately read and write int64, uint64, and double numbers.
- Flexible: supports unlimited JSON nesting levels, \u0000 characters, and non
null-terminated strings.
- Manipulation: supports querying and modifying using JSON Pointer, JSON Patch
and JSON Merge Patch.
- Developer-Friendly: easy integration with only one h and one c file.

%package -n %{libname}
Summary:        A high performance JSON library written in ANSI C
Group:          System/Libraries
Provides:       yyjson = %{version}

%description -n %{libname}
A high performance JSON library written in ANSI C.

Features
- Fast: can read or write gigabytes per second JSON data on modern CPUs.
- Portable: complies with ANSI C (C89) for cross-platform compatibility.
- Strict: complies with RFC 8259 JSON standard, ensuring strict number format
and UTF-8 validation.
- Extendable: offers options to allow comments, trailing commas, NaN/Inf, and
custom memory allocator.
- Accuracy: can accurately read and write int64, uint64, and double numbers.
- Flexible: supports unlimited JSON nesting levels, \u0000 characters, and non
null-terminated strings.
- Manipulation: supports querying and modifying using JSON Pointer, JSON Patch
and JSON Merge Patch.
- Developer-Friendly: easy integration with only one h and one c file.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains development files for %{name}.

%prep
%autosetup -p1

# https://github.com/ibireme/yyjson/issues/154
sed -i '/-Werror/d' CMakeLists.txt

%build
%cmake \
    -DYYJSON_BUILD_TESTS=ON

%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libyyjson.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/yyjson.h
%{_libdir}/libyyjson.so
%{_libdir}/cmake/yyjson/
%{_libdir}/pkgconfig/yyjson.pc


%changelog
* Wed May 14 2025 daviddavid <daviddavid> 0.11.1-1.mga10
+ Revision: 2183511
- new version: 0.11.1

* Thu Aug 22 2024 daviddavid <daviddavid> 0.10.0-1.mga10
+ Revision: 2087425
- initial package yyjson (needed for fastfetch)

